@import url('https://fonts.googleapis.com/css2?family=Birthstone&family=Parkinsans:wght@300..800&display=swap');
  
  * {
    padding: 0;
    margin: 0;
  }

  body {

    line-height: 1.6;
    word-spacing: 1.4px;
    font-family: Arial, sans-serif;
    color: #000;
    background-color: #fff;

    height: 100vh;
  }

  header {
    width: 100%;
    height: 100px;
    background-color: rgba(81, 203, 251, 0.788);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: Parkinsans;
  }


  main {
    width: 80%;
    margin: 50px auto;
  }

  div {
    background-color: orange;
  }

  .dio-mreze {
    padding: 0.5em;
    background-color: #ccc;
  }

  /* GRID */

  .mreza {
    display: grid;

    grid-template-columns: repeat(7, minmax(100px, 1fr));
    grid-template-rows: repeat(4, minmax(180px, 1fr));

    gap: 5px;

    
  }

  .dio-1 {
    grid-column: 1/4;
    grid-row: 1/3;
    background-color: #fa8072;
    background-image: url(slike/zima1.jpg);
    transition: 1s;
    display: flex;
    justify-content: end;
    align-items: end;
    font-size: 1.4em;
    color: #ffffff; 
    text-shadow: 2px 2px #cb8358;
  }

  .dio-1 p {
    padding: 2%;
  }

  .dio-1:hover {
    opacity: 50%;
  }

  .dio-2 {
    grid-column: 4/6;
    grid-row: 1/3;
    background-color: #ffa07a;
    background-image: url(slike/zima2.jpg);
    height: 96%;
    transition: 1s; 
  }

  .dio-2:hover {
    height: 43%;
    border-radius: 70px;
  }

  .dio-3 {
    /* grid-column: 1/7;
    grid-row: 3/5; */
    /* grid-area: grid-row-start grid-column-start grid-row-end grid-column-end; */
    grid-area: 3/1/5/6;
    background-color: #e9967a;
    background-image: url(slike/zima3.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    width: 98.4%;
    transition: 1s;
  }

  .dio-3:hover {
    width: 58.3%;
    border-radius: 20px;
  }
  
  .dio-4 {
    grid-column: 4/6;
    grid-row: 2/4;
    /* background-color: #fb6d51c4; */
    background-color: rgba(81, 203, 251, 0.788);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 8.5em;
    color: white;
    transition: 0.5s;
    font-family: Birthstone;
  }

  .dio-4:hover {
    background-color: rgba(81, 203, 251);
    border-radius: 70px;
  }

  .dio-5 {
    grid-column: 6/8;
    grid-row: 1/4;
    background-color: #fa8072;
    background-image: url(slike/zima4.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    transition: 1s;
  }

  .dio-5:hover {
    border-radius: 100%;
  }

  .dio-6 {
    grid-column: 6/8;
    grid-row: 4/5;
    background-color: #ffa07a;
    background-image: url(slike/zima5.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: 1s;
  }

  .dio-6S {
    grid-column: 6/8;
    grid-row: 4/5;
    background-image: linear-gradient(to right, rgba(255,0,0,0), rgb(0, 225, 255));
    opacity: 0%;
    transition: 1s;
  }

  .dio-6S:hover {
    opacity: 50%;
  }

  @media only screen and (max-width: 900px) {
    .mreza {
      display: grid;

    grid-template-columns: repeat(7, minmax(100px, 1fr));
    grid-template-rows: repeat(8, minmax(180px, 1fr));

    gap: 5px;
    }


    .dio-1 {
      grid-column: 1/6;
      grid-row: 1/3;
    }
  
    .dio-2 {
      grid-column: 1/6;
      grid-row: 3/5;
    }
  
    .dio-3 {
      grid-area: 5/1/7/8;
      width: auto;
    }
    
    .dio-4 {
      grid-column: 4/7;
      grid-row: 2/6;
    }
  
    .dio-5 {
      grid-column: 6/8;
      grid-row: 1/5;
    }
  
    .dio-6 {
      grid-column: 1/8;
      grid-row: 7/9;
    }
  
    .dio-6S {
      grid-column: 6/8;
      grid-row: 4/5;
    }

    .dio-1:hover {
      opacity: 50%;
    }

    .dio-2:hover {
      opacity: 50%;
      border-radius: 0;
      height: auto;
    }

    .dio-3:hover {
      opacity: 50%;
      width: auto;
    }

    .dio-4:hover {
      opacity: 50%;
    }

    .dio-5:hover {
      opacity: 50%;
      border-radius: 0;
    }

    .dio-6:hover {
      opacity: 50%;
    }
  }



  @media only screen and (max-width: 500px) {
    
    .mreza {
      display: flex;
      flex-direction: column;
    }

    div {
      height: 200px;
    }

    .dio-2 {
      height: 200px;
    }

    .dio-4 {
      height: 200px;
    }

    .dio-2:hover {
      height: 200px;
    }

    .dio-6S {
      display: none;
    }



    /* .mreza {
      display: grid;

    grid-template-columns: repeat(4, minmax(100px, 1fr));
    grid-template-rows: repeat(50, minmax(180px, 1fr));

    gap: 5px;
    }


    .dio-1 {
      grid-column: 1/5;
      grid-row: 1/4;
    }
  
    .dio-2 {
      grid-column: 1/5;
      grid-row: 4/8;
    }
  
    .dio-3 {
      grid-area: 1/8/4/12;
      width: auto;
    }
    
    .dio-4 {
      grid-column: 1/5;
      grid-row: 12/16;
    }
  
    .dio-5 {
      grid-column: 1/5;
      grid-row: 16/18;
    }
  
    .dio-6 {
      grid-column: 1/5;
      grid-row: 18/22;
    }
  
    .dio-6S {
      display: none;
    }

    .dio-1:hover {
      opacity: 50%;
    }

    .dio-2:hover {
      opacity: 50%;
      border-radius: 0;
      height: auto;
    }

    .dio-3:hover {
      opacity: 50%;
      width: auto;
    }

    .dio-4:hover {
      opacity: 50%;
    }

    .dio-5:hover {
      opacity: 50%;
      border-radius: 0;
    }

    .dio-6:hover {
      opacity: 50%;
    } */
  }